## cedar-backup3 3.6.9

=== docs/requirements.txt ===
alabaster==0.7.12 ; python_version >= "3.7" and python_version < "4"
astroid==2.12.12 ; python_version >= "3.7" and python_version < "4"
babel==2.11.0 ; python_version >= "3.7" and python_version < "4"
black==22.10.0 ; python_version >= "3.7" and python_version < "4"
certifi==2022.9.24 ; python_version >= "3.7" and python_version < "4"
cfgv==3.3.1 ; python_version >= "3.7" and python_version < "4"
chardet==4.0.0 ; python_version >= "3.7" and python_version < "4"
charset-normalizer==2.1.1 ; python_version >= "3.7" and python_version < "4"
click==8.1.3 ; python_version >= "3.7" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.7" and python_version < "4"
coverage==6.5.0 ; python_version >= "3.7" and python_version < "4"
coveralls==3.3.1 ; python_version >= "3.7" and python_version < "4"
dill==0.3.6 ; python_version >= "3.7" and python_version < "4"
distlib==0.3.6 ; python_version >= "3.7" and python_version < "4"
docopt==0.6.2 ; python_version >= "3.7" and python_version < "4"
docutils==0.17.1 ; python_version >= "3.7" and python_version < "4"
filelock==3.8.0 ; python_version >= "3.7" and python_version < "4"
identify==2.5.8 ; python_version >= "3.7" and python_version < "4"
idna==3.4 ; python_version >= "3.7" and python_version < "4"
imagesize==1.4.1 ; python_version >= "3.7" and python_version < "4"
importlib-metadata==5.0.0 ; python_version >= "3.7" and python_version < "3.10"
isort==5.10.1 ; python_version >= "3.7" and python_version < "4.0"
jinja2==3.1.2 ; python_version >= "3.7" and python_version < "4"
lazy-object-proxy==1.8.0 ; python_version >= "3.7" and python_version < "4"
markupsafe==2.1.1 ; python_version >= "3.7" and python_version < "4"
mccabe==0.7.0 ; python_version >= "3.7" and python_version < "4"
mypy-extensions==0.4.3 ; python_version >= "3.7" and python_version < "4"
nodeenv==1.7.0 ; python_version >= "3.7" and python_version < "4"
packaging==21.3 ; python_version >= "3.7" and python_version < "4"
pathspec==0.10.1 ; python_version >= "3.7" and python_version < "4"
platformdirs==2.5.3 ; python_version >= "3.7" and python_version < "4"
pre-commit==2.20.0 ; python_version >= "3.7" and python_version < "4"
pygments==2.13.0 ; python_version >= "3.7" and python_version < "4"
pylint==2.15.5 ; python_version >= "3.7" and python_version < "4"
pyparsing==3.0.9 ; python_version >= "3.7" and python_version < "4"
pytz==2022.6 ; python_version >= "3.7" and python_version < "4"
pyyaml==6.0 ; python_version >= "3.7" and python_version < "4"
requests==2.28.1 ; python_version >= "3.7" and python_version < "4"
setuptools==65.5.1 ; python_version >= "3.7" and python_version < "4"
snowballstemmer==2.2.0 ; python_version >= "3.7" and python_version < "4"
sphinx-autoapi==1.9.0 ; python_version >= "3.7" and python_version < "4"
sphinx==4.5.0 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-applehelp==1.0.2 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-devhelp==1.0.2 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-htmlhelp==2.0.0 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-qthelp==1.0.3 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-serializinghtml==1.1.5 ; python_version >= "3.7" and python_version < "4"
toml==0.10.2 ; python_version >= "3.7" and python_version < "4"
tomli==2.0.1 ; python_version >= "3.7" and python_full_version < "3.11.0a7"
tomlkit==0.11.6 ; python_version >= "3.7" and python_version < "4"
typed-ast==1.5.4 ; python_version < "3.8" and implementation_name == "cpython" and python_version >= "3.7"
typing-extensions==4.4.0 ; python_version >= "3.7" and python_version < "3.10"
unidecode==1.3.6 ; python_version >= "3.7" and python_version < "4"
urllib3==1.26.12 ; python_version >= "3.7" and python_version < "4"
virtualenv==20.16.6 ; python_version >= "3.7" and python_version < "4"
wrapt==1.14.1 ; python_version >= "3.7" and python_version < "4"
zipp==3.10.0 ; python_version >= "3.7" and python_version < "3.10"

=== debian/changelog ===
cedar-backup3 (3.6.9-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 09 Nov 2022 17:22:57 +0000

## cedar-backup3 3.7.2

=== docs/requirements.txt ===
alabaster==0.7.12 ; python_version >= "3.7" and python_version < "4"
astroid==2.12.13 ; python_version >= "3.7" and python_version < "4"
babel==2.11.0 ; python_version >= "3.7" and python_version < "4"
black==22.12.0 ; python_version >= "3.7" and python_version < "4"
certifi==2022.12.7 ; python_version >= "3.7" and python_version < "4"
cfgv==3.3.1 ; python_version >= "3.7" and python_version < "4"
chardet==4.0.0 ; python_version >= "3.7" and python_version < "4"
charset-normalizer==2.1.1 ; python_version >= "3.7" and python_version < "4"
click==8.1.3 ; python_version >= "3.7" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.7" and python_version < "4"
coverage==6.5.0 ; python_version >= "3.7" and python_version < "4"
coveralls==3.3.1 ; python_version >= "3.7" and python_version < "4"
dill==0.3.6 ; python_version >= "3.7" and python_version < "4"
distlib==0.3.6 ; python_version >= "3.7" and python_version < "4"
docopt==0.6.2 ; python_version >= "3.7" and python_version < "4"
docutils==0.17.1 ; python_version >= "3.7" and python_version < "4"
filelock==3.9.0 ; python_version >= "3.7" and python_version < "4"
identify==2.5.11 ; python_version >= "3.7" and python_version < "4"
idna==3.4 ; python_version >= "3.7" and python_version < "4"
imagesize==1.4.1 ; python_version >= "3.7" and python_version < "4"
importlib-metadata==5.2.0 ; python_version >= "3.7" and python_version < "4"
isort==5.11.4 ; python_version >= "3.7" and python_version < "4"
jinja2==3.1.2 ; python_version >= "3.7" and python_version < "4"
lazy-object-proxy==1.8.0 ; python_version >= "3.7" and python_version < "4"
markupsafe==2.1.1 ; python_version >= "3.7" and python_version < "4"
mccabe==0.7.0 ; python_version >= "3.7" and python_version < "4"
mypy-extensions==0.4.3 ; python_version >= "3.7" and python_version < "4"
nodeenv==1.7.0 ; python_version >= "3.7" and python_version < "4"
packaging==22.0 ; python_version >= "3.7" and python_version < "4"
pathspec==0.10.3 ; python_version >= "3.7" and python_version < "4"
platformdirs==2.6.2 ; python_version >= "3.7" and python_version < "4"
pre-commit==2.21.0 ; python_version >= "3.7" and python_version < "4"
pygments==2.13.0 ; python_version >= "3.7" and python_version < "4"
pylint==2.15.9 ; python_version >= "3.7" and python_version < "4"
pytz==2022.7 ; python_version >= "3.7" and python_version < "4"
pyyaml==6.0 ; python_version >= "3.7" and python_version < "4"
requests==2.28.1 ; python_version >= "3.7" and python_version < "4"
setuptools==65.6.3 ; python_version >= "3.7" and python_version < "4"
snowballstemmer==2.2.0 ; python_version >= "3.7" and python_version < "4"
sphinx-autoapi==1.9.0 ; python_version >= "3.7" and python_version < "4"
sphinx==4.5.0 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-applehelp==1.0.2 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-devhelp==1.0.2 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-htmlhelp==2.0.0 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-qthelp==1.0.3 ; python_version >= "3.7" and python_version < "4"
sphinxcontrib-serializinghtml==1.1.5 ; python_version >= "3.7" and python_version < "4"
toml==0.10.2 ; python_version >= "3.7" and python_version < "4"
tomli==2.0.1 ; python_version >= "3.7" and python_full_version < "3.11.0a7"
tomlkit==0.11.6 ; python_version >= "3.7" and python_version < "4"
typing-extensions==4.4.0 ; python_version >= "3.7" and python_version < "3.10"
unidecode==1.3.6 ; python_version >= "3.7" and python_version < "4"
urllib3==1.26.13 ; python_version >= "3.7" and python_version < "4"
virtualenv==20.17.1 ; python_version >= "3.7" and python_version < "4"
wrapt==1.14.1 ; python_version >= "3.7" and python_version < "4"
zipp==3.11.0 ; python_version >= "3.7" and python_version < "4"

=== debian/changelog ===
cedar-backup3 (3.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to reflect latest upstream NOTICE file.
  * Update debian/control to reflect upstream change of Python >= 3.8.
  * Update debian/patches/poetry.patch to reflect upstream changes.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 30 Dec 2022 02:02:16 +0000

=== debian/control ===
Source: cedar-backup3
Priority: optional
Section: admin
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Homepage: https://github.com/pronovic/cedar-backup3
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core, python3-astroid, python3-chardet, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
Rules-Requires-Root: no
X-Python3-Version: >= 3.8
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git

Package: cedar-backup3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet
Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli, fdisk
Suggests: subversion, default-mysql-client | virtual-mysql-client, postgresql-client, grepmail, gnupg
Description: local and remote backups to CD/DVD media or Amazon S3 storage
 Cedar Backup 3 is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
 rather than relying on physical media.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python 3 programming language.
 .
 This package provides Cedar Backup command-line utilities as well as the
 CedarBackup3 Python library.  The accompanying documentation package
 (cedar-backup3-doc) contains all of the end-user and library public
 interface documentation.  You really should install cedar-backup3-doc and
 read through the end-user documentation before using Cedar Backup for the
 first time.

Package: cedar-backup3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: local and remote backups to CD/DVD media or Amazon S3 storage (documentation)
 Cedar Backup 3 is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
 rather than relying on physical media.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python 3 programming language.
 .
 This package provides the end-user and library public interface documentation
 for Cedar Backup, both in HTML form.  You really should read through the
 end-user documentation before using Cedar Backup for the first time.

## cedar-backup3 3.7.4

=== debian/changelog ===
cedar-backup3 (3.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Create debian/patches/poetry-system.patch to override upstream build system.
  * Add dependency on python3-importlib-metadata based on upstream requirements.
  * Rewrite debian/rules to trigger Sphinx docs and unittests via pybuild.
  * Update various patches to reflect upstream changes to the modified files.
  * Rename debian/patches/poetry.patch to debian/patches/poetry-version.patch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 31 Dec 2022 07:17:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://github.com/pronovic/cedar-backup3
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core, python3-astroid, python3-chardet, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core, python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
 Rules-Requires-Root: no
 X-Python3-Version: >= 3.8
 Standards-Version: 4.6.1.0
@@ -12,7 +12,7 @@
 
 Package: cedar-backup3
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet
+Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet, python3-importlib-metadata
 Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli, fdisk
 Suggests: subversion, default-mysql-client | virtual-mysql-client, postgresql-client, grepmail, gnupg
 Description: local and remote backups to CD/DVD media or Amazon S3 storage

## cedar-backup3 3.7.5

=== debian/changelog ===
cedar-backup3 (3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Re-implement debian/watch in terms of GitHub rather than PyPI.
  * Adjust poetry-system.patch and poetry-version.patch to match upstream.
  * Bump standards version to 4.6.2.0 (no packaging changes).
  * Update debian/copyright to reflect 2023 copyright year.
  * Remove unused lintian override for very-long-line-length-in-source-file.
  * Add lintian override for prefer-uscan-symlink against debian/watch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Jun 2023 16:26:41 +0000

## cedar-backup3 3.7.6

=== debian/changelog ===
cedar-backup3 (3.7.6-2) unstable; urgency=medium

  * Fix FTBFS: exclude docs/_build in debian/source/options (closes: #1043698).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 16 Aug 2023 01:07:58 +0000

cedar-backup3 (3.7.6-1) unstable; urgency=medium

  * New upstream release with revised dependencies to match bookworm.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Jun 2023 22:23:28 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core, python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
 Rules-Requires-Root: no
 X-Python3-Version: >= 3.8
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git

## cedar-backup3 3.7.7

=== debian/changelog ===
cedar-backup3 (3.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Remove poetry-version.patch that is no longer necessary.
  * Adjust python3-poetry-core build dependency to (>= 1.6.1).
  * Bump minimum Python version to 3.9 in debian/control.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 14 Oct 2023 21:48:31 +0000

## cedar-backup3 3.7.8

=== debian/changelog ===
cedar-backup3 (3.7.8-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 15 Oct 2023 18:21:38 +0000

## cedar-backup3 3.7.9

=== debian/changelog ===
cedar-backup3 (3.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 05 Nov 2023 15:15:54 +0000

## cedar-backup3 3.8.0

=== debian/changelog ===
cedar-backup3 (3.8.0-1) unstable; urgency=medium

  * New upstream release with some dependency cleanup for Debian.
  * Update debian/copyright to reflect 2024 copyright year.
  * Disable Sphinx interface documentation to fix FTBFS (closes: #1060957).
    - Add disable-autoapi.patch to disable Sphinx autoapi generation
    - Remove debian/cedar-backup3-doc.doc-base.cedar-backup3-interface

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 17 Jan 2024 20:23:36 +0000

## cedar-backup3 3.8.1

=== debian/changelog ===
cedar-backup3 (3.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 26 Feb 2024 04:01:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://github.com/pronovic/cedar-backup3
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core, python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 1.6.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.8
+X-Python3-Version: >= 3.9
 Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cedar-backup3-$1\.tar\.gz/ \
  https://github.com/pronovic/cedar-backup3/tags .*/v?(\d\S+)\.tar\.gz

## cedar-backup3 3.8.2

=== debian/changelog ===
cedar-backup3 (3.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum Python version to 3.9 in debian/control.
  * Bump standards version to 4.7.0.1 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 15 Oct 2024 19:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Homepage: https://github.com/pronovic/cedar-backup3
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 1.6.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.9
-Standards-Version: 4.6.2.0
+X-Python3-Version: >= 3.10
+Standards-Version: 4.7.0.1
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git

## cedar-backup3 3.8.3

=== debian/changelog ===
cedar-backup3 (3.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to reflect 2025 copyright year.
  * Tweak doc-privacy.patch for change in upstream code.
  * Downgrade standards version to 4.7.0.0 to make lintian happy.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 02 Jan 2025 02:38:20 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 1.6.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
 Rules-Requires-Root: no
 X-Python3-Version: >= 3.10
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.0.0
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git

## cedar-backup3 3.9.1

=== debian/changelog ===
cedar-backup3 (3.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Adjust build process to handle upstream move to Poetry v2 build system.
    - Debian currently supports only Poetry v1, so pyproject.toml doesn't work
    - Add debian/util/poetryv1.py to generate pyproject.toml for Poetry v1
    - Add override_dh_auto_build to call poetryv1.py before dh_auto_build
    - Remove debian/patches/poetry-system.patch, which is no longer relevant

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 20 Jan 2025 02:20:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://github.com/pronovic/cedar-backup3
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 1.6.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 1.6.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions, python3-tomlkit
 Rules-Requires-Root: no
 X-Python3-Version: >= 3.10
 Standards-Version: 4.7.0.0

=== debian/rules ===
#!/usr/bin/make -f

# Set to enable verbose output from debhelper
#export DH_VERBOSE=1

export PYBUILD_TEST_CUSTOM = 1
export PYBUILD_TEST_ARGS = {interpreter} -m unittest discover -s tests -t tests
export PYBUILD_AFTER_INSTALL = PYTHONPATH={build_dir} {interpreter} -m sphinx -N -b html docs docs/_build/html

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	mv pyproject.toml pyproject.toml.orig
	cat pyproject.toml.orig | python3 debian/util/poetryv1.py > pyproject.toml
	dh_auto_build -O--buildsystem=pybuild
	mv pyproject.toml.orig pyproject.toml

## cedar-backup3 3.9.2

=== debian/changelog ===
cedar-backup3 (3.9.2-1) unstable; urgency=medium

  * New upstream release with fixed sdist timestamps (closes: #1093639).
  * Bump dependency to: python3-poetry-core (>= 2.0.1).
  * Poetry v2 is available now, so remove my workarounds.
    - Remove debian/util/poetryv1.py, which is no longer needed
    - Remove override_dh_auto_build in debian/rules
    - Regenerate debian/patches/poetry-system.patch for latest code

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 21 Jan 2025 23:25:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://github.com/pronovic/cedar-backup3
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 1.6.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions, python3-tomlkit
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 2.0.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
 Rules-Requires-Root: no
 X-Python3-Version: >= 3.10
 Standards-Version: 4.7.0.0

## cedar-backup3 3.10.1

=== debian/changelog ===
cedar-backup3 (3.10.1-1) unstable; urgency=medium

  * New upstream release.
    - Update debian/control to remove python3-importlib-metadata dependency
    - Regenerate debian/patches/poetry-system.patch for latest code
  * Bump standards version to 4.7.2.0 (no packaging changes).
  * Covert debian/watch to version 5 format.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 18 Sep 2025 18:30:19 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://github.com/pronovic/cedar-backup3
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 2.0.1), python3-astroid, python3-chardet, python3-importlib-metadata, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 2.0.1), python3-astroid, python3-chardet, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
 Rules-Requires-Root: no
 X-Python3-Version: >= 3.10
-Standards-Version: 4.7.0.0
+Standards-Version: 4.7.2.0
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git
 
 Package: cedar-backup3
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet, python3-importlib-metadata
+Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet
 Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli, fdisk
 Suggests: subversion, default-mysql-client | virtual-mysql-client, postgresql-client, grepmail, gnupg
 Description: local and remote backups to CD/DVD media or Amazon S3 storage

## cedar-backup3 3.11.0

=== debian/changelog ===
cedar-backup3 (3.11.0-2) unstable; urgency=medium

  * Remove unneeded python3-astroid build dependency.
  * Remove unneeded python3-typing-extensions build dependency.
  * Remove unneeded python3-toml build dependency (closes: #1110024).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Sep 2025 16:07:46 +0000

cedar-backup3 (3.11.0-1) unstable; urgency=medium

  * New upstream release that migrates from Poetry to UV and hatchling.
    - Remove build dependency on python3-poetry-core (>= 2.0.1)
    - Add build dependency on python3-hatchling (>= 1.27.0)
    - Adjust offset in debian-platform.patch and disable-autoapi.patch
    - Adjust doc-privacy.patch to reflect the new upstream code
    - Remove obsolete poetry-system.patch that is no longer needed

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 23 Sep 2025 08:00:45 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://github.com/pronovic/cedar-backup3
-Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-poetry-core (>= 2.0.1), python3-astroid, python3-chardet, python3-toml, python3-sphinx, python3-sphinx-autoapi, python3-typing-extensions
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-hatchling (>= 1.27.0), python3-chardet, python3-sphinx, python3-sphinx-autoapi
 Rules-Requires-Root: no
 X-Python3-Version: >= 3.10
 Standards-Version: 4.7.2.0

## cedar-backup3 3.12.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ReadtheDocsTemplate.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ReadtheDocsTemplate.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ReadtheDocsTemplate"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ReadtheDocsTemplate"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
cedar-backup3 (3.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Update debian/control to set X-Python3-Version: >= 3.11

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Sep 2025 18:43:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: https://github.com/pronovic/cedar-backup3
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, pybuild-plugin-pyproject, python3-hatchling (>= 1.27.0), python3-chardet, python3-sphinx, python3-sphinx-autoapi
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.10
+X-Python3-Version: >= 3.11
 Standards-Version: 4.7.2.0
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,3 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_auto_build:
-	mv pyproject.toml pyproject.toml.orig
-	cat pyproject.toml.orig | python3 debian/util/poetryv1.py > pyproject.toml
-	dh_auto_build -O--buildsystem=pybuild
-	mv pyproject.toml.orig pyproject.toml

=== debian/tests/control ===
# Run the unit tests on the library code
Tests: unittest
Restrictions: allow-stderr

# Run some basic tests on command-line functionality for cback3
Tests: cback3-version cback3-help cback3-diagnostics
Restrictions: allow-stderr

# Run some basic tests on command-line functionality for cback3-span
Tests: cback3-span-version cback3-span-help cback3-span-diagnostics
Restrictions: allow-stderr

# Run some basic tests on command-line functionality for cback3-amazons3-sync
Tests: cback3-amazons3-sync-version cback3-amazons3-sync-help cback3-amazons3-sync-diagnostics
Restrictions: allow-stderr

# Run a simple backup and make sure it succeeds
Tests: simplebackup
Depends: @, awk, diffutils, tar
Restrictions: allow-stderr, needs-root

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/pronovic/cedar-backup3/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/pronovic/cedar-backup3/git/refs/tags/v)(.*$)%github.com/pronovic/cedar-backup3/releases/download/v$2/cedar_backup3-$2.tar.gz%
Filename-Mangle: s%.*/@ANY_VERSION@%cedar_backup3-$1.tar.gz%
Search-Mode: plain
Pgp-Mode: none
